## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond_without  tests

%global         srcname     google-cloud-dlp
%global         forgeurl    https://github.com/googleapis/python-dlp
Version:        3.12.1
%global         tag         v%{version}
%forgemeta

Name:           python-%{srcname}
Release:        %autorelease
Summary:        Python SDK for Google Cloud Data Loss Prevention API

License:        Apache-2.0
URL:            %forgeurl
Source0:        %forgesource

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-asyncio)
%endif

%global _description %{expand:
Cloud Data Loss Prevention (DLP) API: Provides methods for detection, risk
analysis, and de-identification of privacy-sensitive fragments in text, images,
and Google Cloud Platform storage repositories.}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%forgeautosetup -p1

# Allow a slightly older protobuf.
sed -i 's/"protobuf.*",/"protobuf>=3.19.4",/' setup.py

# Replace mock imports with unittest.mock.
grep -rl "^[[:space:]]*import mock" tests | \
    xargs sed -i -E 's/^([[:space:]]*)import mock/\1from unittest import mock/'


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files google

# Remove unnecessary scripts.
rm -f %{buildroot}%{_bindir}/fixup*


%check
%pyproject_check_import -e google.cloud.dlp*

%if %{with tests}
# NOTE(mhayden): Setting PYTHONUSERBASE as a hack for PEP 420 namespaces.
# Thanks to churchyard for the fix.
PYTHONUSERBASE=%{buildroot}%{_prefix} \
    %pytest tests/unit
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.rst CHANGELOG.md CODE_OF_CONDUCT.md CONTRIBUTING.rst SECURITY.md UPGRADING.md samples
%{python3_sitelib}/google_cloud_dlp-%{version}-py%{python3_version}-nspkg.pth



%changelog
* Mon Mar 27 2023 Major Hayden <major@redhat.com> - 3.12.1-1
- Update to 3.12.1 rhbz#2182126

* Wed Mar 01 2023 Major Hayden <major@redhat.com> - 3.12.0-1
- Update to 3.12.0 rhbz#2174165

* Tue Feb 21 2023 Major Hayden <major@redhat.com> - 3.11.1-1
- Update to 3.11.1

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.9.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Oct 19 2022 Major Hayden <major@redhat.com> - 3.9.2-1
- Update to 3.9.2 rhbz#2131873

* Wed Sep 07 2022 fkolwa <fkolwa@redhat.com> - 3.9.0-1
- Update to 3.9.0 rhbz#2124628

* Tue Aug 16 2022 Major Hayden <major@redhat.com> - 3.8.1-1
- Update to 3.8.1 rhbz#2118781

* Wed Jul 27 2022 Major Hayden <major@redhat.com> - 3.8.0-1
- Update to 3.8.0 rhbz#2108126

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.7.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 28 2022 Python Maint <python-maint@redhat.com> - 3.7.1-2
- Rebuilt for Python 3.11

* Mon Jun 13 2022 Major Hayden <major@redhat.com> - 3.7.1-1
- Update to 3.7.1

* Thu May 19 2022 Major Hayden <major@mhtx.net> - 3.7.0-1
- 🚀 Update to 3.7.0

* Tue Mar 08 2022 Major Hayden <major@redhat.com> - 3.6.2-1
- Update to 3.6.2

* Fri Mar 04 2022 Major Hayden <major@redhat.com> - 3.6.1-1
- Initial import (#2012994)
